<?php
/* 快捷商城系统
 * 版本号：2.0
 * 官网：http://www.kjcms.cn
 * 2015-02-16
 */
class tab_mall_goods_format {
	static function on_save($arr_fields,$where = '') {
		$arr_return = array("code"=>0,"id"=>0,"msg"=>"");
		if(isset($arr_fields['format_id'])) {
			$arr_fields['id'] = $arr_fields['format_id'];
			unset($arr_fields['format_id']);
		}
		if( isset($arr_fields['id']) ) {
			$arr_return['id'] = (int)$arr_fields['id'];
			unset($arr_fields['id']);
			if( $arr_return['id'] > 0 ) { //大于零，为修改状态
				if( empty($where) ){
					$where = " format_id='" . $arr_return['id'] . "'";
				} else {
					$where = "(" . $where . ") and format_id='" . $arr_return['id'] . "'";
				}
			}
		}
		if(isset($arr_fields["format_val"]) && is_array($arr_fields["format_val"])) $arr_fields["format_val"] = serialize($arr_fields["format_val"]);
		$obj_db = cls_obj::db_w();
		if( empty($where) ) {
			//必填项检查
			if(!isset($arr_fields['format_name']) || $arr_fields['format_name'] == '' ) {
				$arr_return['code'] = 113;
				$arr_return['msg']  = cls_language::get("format_name_is_null" , "mall");//名称不能为空
				return $arr_return;
			}
			$obj_rs = $obj_db->get_one("select format_id from ".cls_config::DB_PRE."mall_goods_format where format_name='" . $arr_fields["format_name"] . "'");
			if(!empty($obj_rs)) {
				$arr_return['code'] = 500;
				$arr_return['msg']  = cls_language::get("format_name_repeat" , "mall");//名称不能重复
				return $arr_return;
			}

			//插入到表
			$arr = $obj_db->on_insert(cls_config::DB_PRE."mall_goods_format",$arr_fields);
			if($arr['code'] == 0) {
				$arr_return['id'] = $obj_db->insert_id();
				//其它非mysql数据库不支持insert_id 时
				if(empty($arr_return['id'])) {
					$obj_rs = $obj_db->get_one("select format_id from ".cls_config::DB_PRE."mall_goods_format where format_name='" . $arr_fields["format_name"] . "'");
					if(!empty($obj_rs)) $arr_return['id'] = $obj_rs['format_id'];
				}
			} else {
				$arr_return['code'] = $arr['code'];
				$arr_return['msg']  = cls_language::get("db_edit");
			}
		} else {
			if($arr_return['id'] < 1) {
				$obj_rs = $obj_db->get_one("select format_id from ".cls_config::DB_PRE."mall_goods_format where ".$where);
				if(!empty($obj_rs)) {
					$arr_return['id'] = $obj_rs['format_id'];
				} else {
					$arr_return['code'] = 114;
					$arr_return['msg']  = cls_language::get("no_editinfo");//修改信息不在在
					return $arr_return;
				}
				$where = "format_id='".$arr_return['id']."'";
			}
			if(isset($arr_fields["format_name"])) {
				$obj_rs = $obj_db->get_one("select format_id from ".cls_config::DB_PRE."mall_goods_format where format_name='" . $arr_fields["format_name"] . "' and format_id!='" . $arr_return['id']."'");
				if(!empty($obj_rs)) {
					$arr_return['code'] = 500;
					$arr_return['msg']  = cls_language::get("format_name_repeat" , "mall");//名称不能重复
					return $arr_return;
				}

			}
			//修改数据表
			$arr = $obj_db->on_update(cls_config::DB_PRE."mall_goods_format" , $arr_fields , $where);
			if($arr['code'] != 0) {
				$arr_return['code'] = $arr['code'];
				$arr_return['msg']  = cls_language::get("db_edit");
			}
		}
		return $arr_return;
	}

	/* 删除函数
	 * arr_id : 要删除的 id数组
	 * where : 删除附加条件
	 */
	static function on_delete($arr_id , $where = '') {
		$arr_return = array("code"=>0,"msg"=>"");
		$str_id = fun_format::arr_id($arr_id);
		if( empty($str_id) && empty($where) ){
			$arr_return["code"] = 22;
			$arr_return["msg"]=cls_language::get("not_where");
			return $arr_return;
		}
		if( !empty($str_id) ) {
			(is_numeric($str_id)) ? $arr_where[] = "format_id='".$str_id."'" : $arr_where[] = "format_id in(".$str_id.")";
		}
		if( !empty($where) ) {
			if(stristr($where , " or ") && substr(trim($where),0,1) != "(") $where = "(" . $where . ")";
			$arr_where[] = $where;
		}
		$where = implode(" and " , $arr_where);

		$arr_return=cls_obj::db_w()->on_delete(cls_config::DB_PRE."mall_goods_format" , $where);
		return $arr_return;
	}
}